#builder
ARG DEPS_TAG=latest

FROM gcr.io/tim-pmid-dev/mvn-deps:${DEPS_TAG} as builder

WORKDIR /app

RUN apt-get update && apt-get install zip unzip tree -y
  
ADD . /app
RUN rm -rf /app/target
RUN rm -rf /app/src/main/resources
RUN mvn verify -DskipTests
RUN tree target

#runner
FROM openjdk:11-jre-slim
EXPOSE 8080
COPY --from=builder /app/target/*.jar app.jar
ENTRYPOINT java $JAVA_OPTS -Djava.security.egd=file:/dev/./urandom -jar /app.jar